Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface Decoder

    org.codehaus.groovy.grails.support.encoding.Decoder
      org.codehaus.groovy.grails.support.encoding.CodecIdentifierProvider

All Superinterfaces:
  CodecIdentifierProvider

    public interface Decoder
    extends CodecIdentifierProvider

interface for decoder methods

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.Object` | `decode(java.lang.Object o)` Decode given input object

Methods inherited from interface CodecIdentifierProvider
getCodecIdentifier

Method Detail

### decode

    public java.lang.Object decode(java.lang.Object o)

  Decode given input object
  Parameters:
    `o` - the input object
  Returns:
    the decoded object

Groovy Documentation